Bug Hunting Session
Bug 93818 - Cannot open most lwp docs (booklets)
Summary: Cannot open most lwp docs (booklets)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
Depends on:
Blocks: LWP
  Show dependency treegraph
 
Reported: 2015-08-31 19:02 UTC by jcbland
Modified: 2017-09-24 19:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A5 Church of England service booklet (988.27 KB, application/vnd.lotus-wordpro)
2015-08-31 19:02 UTC, jcbland
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jcbland 2015-08-31 19:02:40 UTC
Created attachment 118296 [details]
A5 Church of England service booklet

With LibreOffice 5.0.1.2 cannot open most of my lwp docs.
Get error splash saying 
"General Error.
General input/output error."

Files created using WordPro from Lotus Smartsuite ver 9.7 on Windows XP
Comment 1 Buovjaga 2015-09-14 16:17:17 UTC
Already happens on 4.3.0.1.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: 88c51cd55d1a9b29e62269c53b3923770253ab07
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-09-11_13:09:15
Locale: en-US (fi_FI)
Comment 2 Commit Notification 2015-10-08 09:52:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc1273543f4084a779a2b0400c22466672557a95

Resolves: tdf#93818 crash on loading certain lwp

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-10-09 12:00:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=425ee54728ae290ef9e51e63fa79432e6250486a&h=libreoffice-5-0

Resolves: tdf#93818 crash on loading certain lwp

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.